#!/usr/bin/env fish
mise env -s fish | source

set -l g (set_color a6d189)
set -l b (set_color 8caaee)
set -l s '#8caaee'
set -l n (set_color normal)

gum style --foreground "$s" --border double --padding "1 2" --margin "1" "Des outils modernes"
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo "$g❯$b batcat ~/.gitconfig$n"
batcat --number -pp -l toml dot_gitconfig
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b lsd -la$n"
lsd -la
echo "$g❯$b lsd --tree$n"
lsd --tree
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b zoxide query -l | head -10$n"
zoxide query -l | head -10
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b fdfind codekaio $HOME$n"
fdfind codekaio $HOME
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b batcat -pp -l fish aliases.fish$n"
batcat -pp -l fish aliases.fish
